This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 11280 - /etc/rc.d/init.d/network IP forwarding Bug
Summary: /etc/rc.d/init.d/network IP forwarding Bug
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-07 16:46 UTC by peter
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-16 16:28:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description peter 2000-05-07 16:46:29 UTC
The script /etc/rc.d/init.d/network has a bug in it such that IP forwarding
is always disabled after network restart or system reboot.

Examining the script it always places a zero in
/proc/sys/net/ipv4/ip_foward if its not zero already.

This means IP forwarding is ALWAYS disabled after a reset or network
restart.
Editing the script or taking the network script from RH 6.0 fixes the
problem.

Comment 1 Jeff Johnson 2000-05-08 19:41:59 UTC
This is an initscripts problem. Changing component ...

Comment 2 Bill Nottingham 2000-05-16 16:28:59 UTC
If you restart the network, it will re-run 'sysctl -p /etc/sysctl.conf';
this will reset IP forwarding if desired.


Note You need to log in before you can comment on or make changes to this bug.